#ifndef _GYR_MESSAGE_H
#define _GYR_MESSAGE_H

#include <string>

#include "protocol.h"
#include "clock.h"

class Message {
	public:

	private:
		char * _raw;
		size_t _size;
		char * _data;
		short _data_size;
		TimeStamp * _stamp; // construit dynamiquement
		Protocol::Type _type;
	protected:
	public:

		Message(Protocol::Type type, TimeStamp &ts, char * data, unsigned short data_size);
		Message(void * data, int len);
		Message(const Message & mesg);

		char * getRaw();
		size_t getRawSize();
		char * getData();
		short getDataSize();  
		Protocol::Type getType();
		TimeStamp getStamp();
		bool operator==(Message &message);
};

#endif
